/* Header file for expecting connections we need to NAT. */
#ifndef _IP_NAT_EXPECT_H
#define _IP_NAT_EXPECT_H
#include "ip_nat.h"

/* Returns TRUE if it successfully creates expectation. */
int ip_nat_expect(const struct ip_conntrack_tuple *expect,
		  const struct ip_conntrack_manip *manip,
		  enum ip_nat_manip_type maniptype,
		  unsigned long timeout);
/* expect: DON'T CARE ABOUT THE SOURCE per-protocol part. 
   manip & maniptype: how to map it.
   timeout: how long (in jiffies) before giving up.
 */
#endif /*_IP_NAT_EXPECT_H*/
