#! /bin/sh

# Unfortunately, this tests installed modules. 8-(

../packet-filter/userspace/iptables -N test || exit 1
../packet-filter/userspace/iptables -A test -j LOG || exit 1
../packet-filter/userspace/iptables -A test -j REJECT || exit 1
../packet-filter/userspace/iptables -A test -m limit || exit 1
../packet-filter/userspace/iptables -A test -p icmp --icmp-type ping || exit 1
../packet-filter/userspace/iptables -A test -p tcp --sport 100 || exit 1
../packet-filter/userspace/iptables -A test -p udp --sport 100 || exit 1
../packet-filter/userspace/iptables -A test -j QUEUE --mark 100 || exit 1
../packet-filter/userspace/iptables -A test -m unclean || exit 1
../packet-filter/userspace/iptables -F test

# Should fail
../packet-filter/userspace/iptables -A test -j NONEXIST 2> /dev/null && exit 1

rmmod ipt_LOG || exit 1
rmmod ipt_limit || exit 1
rmmod ipt_REJECT || exit 1
rmmod ipt_icmp || exit 1
rmmod ipt_tcp || exit 1
rmmod ipt_udp || exit 1
rmmod ipt_QUEUE || exit 1
rmmod ipt_unclean || exit 1

exit 0
