#! /bin/sh
# BUG 0010 - Again

# Need job control.
set -m

RULES=1
../packet-filter/userspace/iptables -N PPP || exit 1
../packet-filter/userspace/iptables -P FORWARD ACCEPT || exit 1
i=0
while [ $i -lt $RULES ]
do
    ../packet-filter/userspace/iptables -A FORWARD -j PPP || exit 1
    ../packet-filter/userspace/iptables -A PPP || exit 1
    i=$(($i + 1))
done

../packet-filter/userspace/iptables -L -n > $TMPFILE || exit 1

# 4 chains = 8 intro lines + 3 spacers = 11 lines.
if [ `wc -l < $TMPFILE` != `expr $RULES \* 2 + 11` ]
then
    echo Bad iptables -L: `wc -l < $TMPFILE` lines
    cat $TMPFILE
    exit 1
fi

# Send packets through.
./rcv_ip 2 1 < /dev/tap1 > $TMPFILE &
sleep 1

i=0
while [ $i -lt 1 ]
do
    ./gen_ip $TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 > /dev/tap0 || exit 1
    i=$(($i + 1))
done

if wait %./rcv_ip; then :
else
    echo ./rcv_ip failed:
    cat $TMPFILE
    exit 1
fi

exit 0
