#! /bin/sh
# Shell script to run iptables test suite.

for f in 01iptables/[0-9]*
do
    insmod ../packet-filter/kernel/iptables.o || exit 1

    if $f
    then
	[ -z "$VERBOSE" ] || echo Test $f succeeded.
    else
	echo Test $f failed.
	exit 1
    fi

    rmmod iptables || exit 1
done

exit 0
