#! /bin/sh

# Renaming of chains

# Can't rename builtins, or non-existent.
../packet-filter/userspace/iptables -E INPUT input 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E FORWARD input 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E OUTPUT input 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test input 2>/dev/null && exit 1

../packet-filter/userspace/iptables -N test || exit 1

# Can't rename onto targets, existing, or too long.
../packet-filter/userspace/iptables -E test INPUT 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test FORWARD 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test OUTPUT 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test ACCEPT 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test DROP 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test this-is-far-too-long 2>/dev/null && exit 1
../packet-filter/userspace/iptables -E test test 2>/dev/null && exit 1

../packet-filter/userspace/iptables -E test test2 || exit 1

# Old name out, new name in...
../packet-filter/userspace/iptables -L test 2>/dev/null && exit 1
../packet-filter/userspace/iptables -L test2 > /dev/null || exit 1

exit 0
